# Sanity.Libs.Dialog (version 1.1.2)

[jQuery](https://jquery.com/) plugin that allows you create simple pop-ups and dialog windows

## Quick start

Put the required stylesheet at the `<head>`
```html
<link href="sanity.libs.dialog.min.css" type="text/css" rel="stylesheet"/>
```
Put the script at the bottom of your markup right after jQuery:

```html
<script src="jquery.js"></script>
<script src="sanity.libs.dialog.min.js"></script>
```

## Usage

Create dialog window with unique name (ex. test_dialog)
```html
<div sanity_dialog="test_dialog">
    <!-- All your content goes here -->
</div>
```
Bind a trigger on element
```html
<button sanity_dialog-trigger="test_dialog">Test dialog button</button>
``` 
or
```html
<a href="#dialog_test_dialog">Test dialog href</a>
```
or you can show and hide dialog window manually from JS
```javascript
// Show window
$('[sanity_dialog="test_dialog"]').trigger('open');
// Hide window
$('[sanity_dialog="test_dialog"]').trigger('close');
```

Init your dialog window in JS
```javascript
$(document).ready(function(){
  $('[sanity_dialog]').sanityDialog();
});
```


**Notice:** You can use any selector to init dialogs (classes, ids, etc...)

## Changes

**Version: 1.1.2**

* Rewrite jQuery class to native JS class
* Fixed `popstate` event binding
* Update `sanity.libs.vars` and `sanity.libs.mixins` files to newer version
* Improved browser history API

## License

The code and the documentation are released under the [MIT License](LICENSE).
